Closed Bug 1666264 Opened 1 year ago Closed 1 year ago

[Mozproxy] Implement a recording .zip file manager

Categories

(Testing :: Mozbase, task)

Default
task

Tracking

(firefox83 fixed)

RESOLVED FIXED
83 Branch
Tracking Status
firefox83 --- fixed

People

(Reporter: Bebe, Assigned: Bebe)

References

Details

(Keywords: perf-alert)

Attachments

(1 file)

https://jira.mozilla.com/browse/FXP-1304

The end scope of this task is to have an automated tool to manage, generate and use recordings in Mozproxy.

As a first step we need to have a zip file structure that contains all the recording data
    Recording .mp file
    Metadata .json file
    any other custom files specified (screenshots etc.)
Generate a zip management class
    This class should manage the mozproxy specific zip file
    This should include creation and access
Integrate zip file management in to mozproxy using manualy generated(recorded) zip files
Pushed by fstrugariu@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/272700ebb8c9
[Mozproxy] Implement a recording .zip file manager r=tarek,perftest-reviewers,AlexandruIonescu
Regressions: 1669798
Backout by nbeleuzu@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/977cd39c69a4
Backed out changeset 272700ebb8c9 as requested by :Bebe
Status: ASSIGNED → RESOLVED
Closed: 1 year ago
Resolution: --- → FIXED
Target Milestone: --- → 83 Branch
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Pushed by fstrugariu@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/4b5682939e79
[Mozproxy] Implement a recording .zip file manager r=tarek,perftest-reviewers,AlexandruIonescu
Status: REOPENED → RESOLVED
Closed: 1 year ago1 year ago
Resolution: --- → FIXED

== Change summary for alert #27173 (as of Sat, 10 Oct 2020 06:00:04 GMT) ==

Regressions:

12% Heap Unclassified windows10-64-shippable opt tp6 54,535,040.75 -> 61,277,054.56

Improvements:

5% Heap Unclassified linux1804-64-shippable-qr opt 281,258,448.37 -> 268,463,292.57

For up to date results, see: https://treeherder.mozilla.org/perf.html#/alerts?id=27173

== Change summary for alert #27172 (as of Fri, 09 Oct 2020 13:13:06 GMT) ==

Improvements:

25% stackoverflow fcp android-hw-g5-7-0-arm7-api-16-shippable opt cold 1,441.58 -> 1,083.17
20% stackoverflow fcp android-hw-g5-7-0-arm7-api-16-shippable opt cold 1,415.21 -> 1,127.08
18% stackoverflow android-hw-g5-7-0-arm7-api-16-shippable opt cold 1,472.43 -> 1,212.66
6% stackoverflow android-hw-g5-7-0-arm7-api-16-shippable opt warm 624.77 -> 586.67
6% stackoverflow fcp android-hw-g5-7-0-arm7-api-16-shippable opt warm 616.27 -> 578.83
4% stackoverflow loadtime android-hw-g5-7-0-arm7-api-16-shippable opt warm 1,004.31 -> 960.08

For up to date results, see: https://treeherder.mozilla.org/perf.html#/alerts?id=27172

== Change summary for alert #27257 (as of Mon, 19 Oct 2020 08:03:20 GMT) ==

Regressions:

Ratio Suite Test Platform Options Absolute values (old vs new)
69% raptor-tp6-amazon-firefox-cold fcp macosx1014-64-shippable 659.67 -> 1,112.67
47% raptor-tp6-amazon-firefox-cold macosx1014-64-shippable 856.16 -> 1,254.62

Improvements:

Ratio Suite Test Platform Options Absolute values (old vs new)
36% raptor-tp6-amazon-firefox-cold fcp macosx1014-64-shippable 1,139.45 -> 733.92
25% raptor-tp6-amazon-firefox-cold macosx1014-64-shippable 1,257.07 -> 943.63

For up to date results, see: https://treeherder.mozilla.org/perf.html#/alerts?id=27257

Keywords: perf-alert
You need to log in before you can comment on or make changes to this bug.